Groovy
  1. Groovy
  2. GROOVY-7806

@interface has too-stringent requirement for newline

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.4.6
    • Fix Version/s: 2.4.7
    • Component/s: syntax
    • Labels:
      None

      Description

      // this causes an error
      @interface ANNOTATION_A 
      {
      }
      
      // this does not cause an error
      @interface ANNOTATION_A  {
      }
      

      the first example should work , it does (for example) work for a class :

      // this does not cause an error
      class CLASS_A 
      {
      }
      

        Activity

        Hide
        ASF GitHub Bot added a comment -

        GitHub user jwagenleitner opened a pull request:

        https://github.com/apache/groovy/pull/301

        GROOVY-7806 - @interface has too-stringent requirement for newline

        You can merge this pull request into a Git repository by running:

        $ git pull https://github.com/jwagenleitner/groovy GROOVY-7806

        Alternatively you can review and apply these changes as the patch at:

        https://github.com/apache/groovy/pull/301.patch

        To close this pull request, make a commit to your master/trunk branch
        with (at least) the following in the commit message:

        This closes #301


        commit a7bb1c15bf4bef4ca5bf2da3648f3054fb06155c
        Author: John Wagenleitner <jwagenleitner@apache.org>
        Date: 2016-04-01T21:21:57Z

        GROOVY-7806 - @interface has too-stringent requirement for newline


        Show
        ASF GitHub Bot added a comment - GitHub user jwagenleitner opened a pull request: https://github.com/apache/groovy/pull/301 GROOVY-7806 - @interface has too-stringent requirement for newline You can merge this pull request into a Git repository by running: $ git pull https://github.com/jwagenleitner/groovy GROOVY-7806 Alternatively you can review and apply these changes as the patch at: https://github.com/apache/groovy/pull/301.patch To close this pull request, make a commit to your master/trunk branch with (at least) the following in the commit message: This closes #301 commit a7bb1c15bf4bef4ca5bf2da3648f3054fb06155c Author: John Wagenleitner <jwagenleitner@apache.org> Date: 2016-04-01T21:21:57Z GROOVY-7806 - @interface has too-stringent requirement for newline
        Hide
        ASF GitHub Bot added a comment -

        Github user asfgit closed the pull request at:

        https://github.com/apache/groovy/pull/301

        Show
        ASF GitHub Bot added a comment - Github user asfgit closed the pull request at: https://github.com/apache/groovy/pull/301
        Hide
        John Wagenleitner added a comment -

        Thanks for reporting the issue.

        Show
        John Wagenleitner added a comment - Thanks for reporting the issue.

          People

          • Assignee:
            John Wagenleitner
            Reporter:
            Hack Ster
          • Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development